/*
	Copyright (c) 2025 ArSysOp

	This program and the accompanying materials are made available under the
	terms of the Eclipse Public License 2.0 which is available at
	https://www.eclipse.org/legal/epl-2.0/.

	SPDX-License-Identifier: EPL-2.0

	Contributors:
		Nikifor Fedorov (ArSysOp) - initial API and implementation
*/

.code {
	font-family: 'Courier New', Courier, monospace;
	background-color: #003475;
	border-radius: 0.2rem;
	padding: 0.2rem;
	display: flex;
	justify-content: space-between;
	flex-direction: row;
}

.code-content {
	align-self: center;
}

.code-copy {
	cursor: pointer;
	user-select: none;
	margin-right: 0.2rem;
    padding: 0.4rem 0.3rem 0rem 0.3rem ;
    border-radius: 0.2rem;
	align-self: center;
	/* font-family: "Afaced Flux", "Palatino", "Georgia", serif; */
}

.code-copy:hover {
    background-color: #003f8f;
    transition: all 0.2s;
}